server:
  port: ${EUREKA_PORT:8761}
  servlet:
    contextPath: /eureka

eureka:
  server:
    peer-eureka-status-refresh-time-interval-ms: 5000
  client:
    registerWithEureka: false
    fetchRegistry: false
    serviceUrl:
      defaultZone: http://admin:admin123@localhost:8761/eureka/eureka/
    ###因为自己是为注册中心，是否需要自己注册自己
    register-with-eureka: false
    ###因为自己是为注册中心，是否需要检索服务
    fetch-registry: false
    
spring:
  application:
    name: eureka-server
    
  ###Eureka安全认证配置
  security:
    user:
      name: admin   ###用户名
      password: admin123  ###密码
